## org.gnu.gtk
Class Requisition

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.Requisition

public class Requisition
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Requisition(Handle handle)`
`Requisition(int width, int height)` Construct a new Requisition.

Method Summary
`int` `getHeight()`
`protected static int` `getHeight(Handle cptr)`
`int` `getWidth()`
`protected static int` `getWidth(Handle cptr)`
`protected static Handle` `gtk_requisition_copy(Handle requisition)`
`protected static void` `gtk_requisition_free(Handle requisition)`
`protected static Handle` `gtk_requisition_new()`
`protected static void` `setHeight(Handle cptr, int height)`
`void` `setHeight(int height)`
`protected static void` `setWidth(Handle cptr, int width)`
`void` `setWidth(int width)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Requisition

    public Requisition(int width,
                       int height)

  Construct a new Requisition.

### Requisition

    public Requisition(Handle handle)

Method Detail

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### gtk_requisition_new

    protected static final Handle gtk_requisition_new()

### getWidth

    protected static final int getWidth(Handle cptr)

### setWidth

    protected static final void setWidth(Handle cptr,
                                         int width)

### getHeight

    protected static final int getHeight(Handle cptr)

### setHeight

    protected static final void setHeight(Handle cptr,
                                          int height)

### gtk_requisition_copy

    protected static final Handle gtk_requisition_copy(Handle requisition)

### gtk_requisition_free

    protected static final void gtk_requisition_free(Handle requisition)